#include<bits/stdc++.h>
using namespace std;
#define endl '\n'
typedef long long ll;
ll a, cr, cl, n, t, v[300007];
bool cm, ans=1;
vector<ll> vec;
int main()
{
    ios_base::sync_with_stdio(); cin.tie(); cout.tie();
    cin >> t;
    for(int qwerty=0; qwerty<t; qwerty++)
    {
        cin >> n;
        for(int i=0; i<n; i++)
        {
            cin >> a;
            vec.push_back(a);
        }
        sort(vec.begin(), vec.end());
        reverse(vec.begin(), vec.end());
        v[1]=vec[0];
        v[2]=vec[vec.size()-1];
        for(int i=1; i<vec.size()-1; i++)
        {
            v[i+2]=vec[i];
        }
        if(ans)
        {
            for(int i=1; i<=n; i++)
            {
                if(v[i]*2>v[i-1]+v[i+1])
                {
                    cout << "NO" << endl;
                    ans=0;
                    i=n+1;
                }
            }
            if(ans)
            {
                cout <<"YES" << endl;
            }
        }
        vec.clear(); a=0; ans=1; n=0; cl=0; cr=0; cm=0;
        for(int i=0; i<n+7; i++)
        {
            v[i]=0;
        }
    }
}
